Subject: Ticket Assigned - Click & Collect
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 26 Jun 2022 13:17:17 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I'm shopping on your splash app and find it very frustrating as I cannot check out. When I do my online payment after a enter my OTP nr there is a message saying I have enter an invalid password or verification code on my Banks's authentication page. How come if I get the password directly from my bank? Not very happy with your online shopping app ass this is definitely not the first time having problems with it. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4544896